summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Justin Teague2019-06-04 04:33:02 +0200
committer Willy Sudiarto Raharjo2019-06-09 00:31:21 +0200
commit918d5b2ad0a7de7b8630585f06a7e288b1a6adcb (patch)
treec16b182cd6e22dc99336a8bef0db4c52d073e20f /office
parentb9be69ac79c3536ad2ba05daffcfe5685a0cddaa (diff)
downloadslackbuilds-918d5b2ad0a7de7b8630585f06a7e288b1a6adcb.tar.gz
office/enpass: Added (a multiplatform password manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/enpass/README20
-rw-r--r--office/enpass/doinst.sh13
-rw-r--r--office/enpass/enpass.SlackBuild68
-rw-r--r--office/enpass/enpass.info10
-rw-r--r--office/enpass/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/office/enpass/README b/office/enpass/README
new file mode 100644
index 0000000000..0f418b8a76
--- /dev/null
+++ b/office/enpass/README
@@ -0,0 +1,20 @@
+Enpass is a multiplatform password manager keeping your passwords across
+Linux, Winows, MacOS, iOS, Android, and browsers.
+
+If browser fails to open Enpass after synchronization service has been
+authenticated - run this command (as regular user) and try again:
+
+# xdg-mime default enpass.desktop x-scheme-handler/enpassauth
+
+If Enpass is picking the wrong scale factor for your display, add the
+following lines to your ~/.profile
+
+export QT_AUTO_SCREEN_SCALE_FACTOR=0
+export QT_SCREEN_FACTORS=1
+(adjust as per your display)
+
+In case of multiple displays:
+
+export "QT_SCREEN_SCALE_FACTORS=1;1"
+
+Logout/login current desktop session and start Enpass.
diff --git a/office/enpass/doinst.sh b/office/enpass/doinst.sh
new file mode 100644
index 0000000000..a8304db5b7
--- /dev/null
+++ b/office/enpass/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/enpass/enpass.SlackBuild b/office/enpass/enpass.SlackBuild
new file mode 100644
index 0000000000..faada43691
--- /dev/null
+++ b/office/enpass/enpass.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# Slackware build script for Enpass
+#
+# Copyright 2019 Justin Teague Houston, US
+#
+# Based loosely on Patrick J. Volkerding's google-chrome.SlackBuild
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=enpass
+VERSION=${VERSION:-6.1.0.407}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=${ARCH:-$(uname -m)}
+
+case "$ARCH" in
+ x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_${DEBARCH}.deb data.tar.gz | tar xvz || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+chmod 0755 .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/icons $PKG/usr/doc/
+mv $PKG/usr/share/doc/enpass/changelog.gz $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/bin
+ln -s $PKG/opt/enpass/Enpass $PKG/usr/bin/enpass
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/enpass/enpass.info b/office/enpass/enpass.info
new file mode 100644
index 0000000000..f593300436
--- /dev/null
+++ b/office/enpass/enpass.info
@@ -0,0 +1,10 @@
+PRGNAM="enpass"
+VERSION="6.1.0.407"
+HOMEPAGE="https://www.enpass.io/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://apt.enpass.io/pool/main/e/enpass/enpass_6.1.0.407_amd64.deb"
+MD5SUM_x86_64="c9d3763d14e19bdd110ce74a9a75bd62"
+REQUIRES=""
+MAINTAINER="Justin Teague"
+EMAIL="baumerang@posteo.net"
diff --git a/office/enpass/slack-desc b/office/enpass/slack-desc
new file mode 100644
index 0000000000..6774dc991e
--- /dev/null
+++ b/office/enpass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+enpass: enpass (a multiplatform password manager)
+enpass:
+enpass: enpass is a multiplatorm password manager keeping your passwords
+enpass: across Linux, Windows, MacOS, iOS, Android, and browsers.
+enpass:
+enpass: Home https://www.enpass.io/
+enpass:
+enpass:
+enpass:
+enpass:
+enpass: